GTPin: Data Fields

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - o -

- oclExecDesc : gtpin::GtKernelExecDesc
- offset : gtpin::GtKernelArgument
- Offset() : gtpin::GtProfileArray
- OffsetInSection() : gtpin::IGtFunction
- OnEvent() : gtpin::IGtEventHandler
- OnKernelBuild() : gtpin::IGtTool
- OnKernelComplete() : gtpin::IGtTool
- OnKernelRun() : gtpin::IGtTool
- Opcode() : gtpin::IGtIns
- OPENCL_C : gtpin::GtHliLanguage
- operator bool() : gtpin::UniquePtr< T, D > , gtpin::GtReg
- operator ENUM() : gtpin::GtBinaryFormat , gtpin::GtHliLanguage , gtpin::GtHliCallStd , gtpin::GtHliParamType , gtpin::GtIargType , gtpin::GtKernelExecStage , gtpin::GtAddrSpace
- operator EVENT_REACTION() : gtpin::GtEventReaction
- operator GED_ADDR_MODE() : gtpin::GtAddrMode
- operator GED_ARCH_REG() : gtpin::GtArchRegType
- operator GED_ATOMIC_OPERATION_TYPE() : gtpin::GtAtomicOp
- operator GED_COND_MODIFIER() : gtpin::GtCondModifier
- operator GED_DATA_TYPE() : gtpin::GtDataType
- operator GED_MATH_FC() : gtpin::GtMathFC
- operator GED_MESSAGE_TYPE() : gtpin::GtMessageType
- operator GED_MODEL() : gtpin::GtGenModelId
- operator GED_OPCODE() : gtpin::GtOpcode
- operator GED_PRED_CTRL() : gtpin::GtPredCtrl
- operator GED_REG_FILE() : gtpin::GtRegFileType
- operator GED_SFID() : gtpin::GtSfid
- operator GED_SRC_MOD() : gtpin::GtSrcModifier
- operator GED_THREAD_CTRL() : gtpin::GtThreadCtrl
- operator GPU_PLATFORM() : gtpin::GtGpuPlatform
- operator GT_ACCESS_TYPE() : gtpin::GtAccessType
- operator GT_IPOINT() : gtpin::GtIpoint
- operator GT_MEM_ACCESS_CHANNEL_TYPE() : gtpin::GtMemoryAccessChannelType
- operator GT_MMAP_METHOD() : gtpin::GtMmapMethod
- operator GT_STATUS() : gtpin::GtStatus
- operator GtReg() : gtpin::IGtVreg
- operator KERNEL_RT_TYPE() : gtpin::GtRtKernelType
- operator KERNEL_TYPE() : gtpin::GtKernelType
- operator SIMD_WIDTH() : gtpin::GtSimdWidth
- operator std::string() : gtpin::GtCoreString
- operator T() : gtpin::Validatable< T, INV, UniqueType > , gtpin::Knob< T >
- operator uint32_t() : gtpin::GtExecSize , gtpin::GtChannelOffset
- operator uint64_t() : gtpin::GtImm
- operator VREG_TYPE() : gtpin::GtVregType
- operator!() : gtpin::GtPredicate
- operator!=() : gtpin::GtReg , gtpin::GtArchRegType
- operator*() : gtpin::UniquePtr< T, D >
- operator+=() : gtpin::KnobVector< T > , gtpin::Knob< T >
- operator->() : gtpin::UniquePtr< T, D >
- operator<() : gtpin::GtPredicate , gtpin::GtArchRegType , gtpin::GtReg
- operator=() : gtpin::UniquePtr< T, D > , gtpin::Knob< T > , gtpin::KnobVector< T >
- operator==() : gtpin::GtArchRegType , gtpin::GtReg , gtpin::GtPredicate
- operator[]() : gtpin::Span< T >
- OpsPerChannel() : gtpin::GtSystolicInfo
- OutgoingEdges() : gtpin::IGtBbl
- Overlaps() : gtpin::IntRange< T, S >

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT